Package org.apache.lucene.search.spell

# Class PlainTextDictionary

java.lang.Object
org.apache.lucene.search.spell.PlainTextDictionary

All Implemented Interfaces:
  `Dictionary`

public class PlainTextDictionary extends Object implements Dictionary
Dictionary represented by a text file.

Format allowed: 1 word per line:
word1
word2
word3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlainTextDictionary(InputStream dictFile)`
  Creates a dictionary based on an inputstream.
  `PlainTextDictionary(Reader reader)`
  Creates a dictionary based on a reader.
  `PlainTextDictionary(Path path)`
  Creates a dictionary based on a Path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputIterator`
  `getEntryIterator()`
  Returns an iterator over all the entries

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlainTextDictionary

    public PlainTextDictionary(Path path) throws IOException
    Creates a dictionary based on a Path.

    NOTE: content is treated as UTF-8

    Throws:
      `IOException`

  - ### PlainTextDictionary

    public PlainTextDictionary(InputStream dictFile)
    Creates a dictionary based on an inputstream.

    NOTE: content is treated as UTF-8

  - ### PlainTextDictionary

    public PlainTextDictionary(Reader reader)
    Creates a dictionary based on a reader.

- ## Method Details

  - ### getEntryIterator

    public InputIterator getEntryIterator() throws IOException
    Description copied from interface: `Dictionary`
    Returns an iterator over all the entries
    Specified by:
      `getEntryIterator` in interface `Dictionary`
    Returns:
      Iterator
    Throws:
      `IOException`